Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class BevelText

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.eltima.chart.BevelText

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class BevelText

extends javax.swing.JComponent

A display area for a short text string.

You can specify the number of shadows, shadow depth and bevel type.

You can also specify the gradient of the text and shadows.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `SHADOW_BOTH`
`static int` | `SHADOW_FIRST`
`static int` | `SHADOW_NONE`
`static int` | `SHADOW_SECOND`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BevelText()` Creates a bevel text.
`BevelText(java.lang.String text)` Creates a bevel text with the specified text.

Method Summary
`int` | `getDepthX()` Returns the the shadow's depth along the X axes.
`int` | `getDepthY()` Returns the the shadow's depth along the Y axes.
`GradientModel` | `getGradientShadow1()` Returns the GradientModel of first shadow .
`GradientModel` | `getGradientShadow2()` Returns the GradientModel of second shadow.
`GradientModel` | `getGradientText()` Returns the GradientModel of text.
`java.awt.Dimension` | `getMaximumSize()` Returns the value of the `maximumSize` property
`java.awt.Dimension` | `getMinimumSize()` Returns the value of the `mininumSize` property
`java.awt.Dimension` | `getPreferredSize()` Returns the value of the `preferredSize` property
`int` | `getShadowType()` Returns the shadow type of this component.
`java.lang.String` | `getText()` Returns the text string that the component displays.
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `setDepthX(int depthX)` Sets the shadow's depth along the X axes.
`void` | `setDepthY(int depthY)` Sets the shadow's depth along the Y axes.
`void` | `setFont(java.awt.Font font)` Sets the font of this component.
`void` | `setGradientShadow1(GradientModel model)` Sets first shadow GradientModel.
`void` | `setGradientShadow2(GradientModel model)` Sets second shadow GradientModel.
`void` | `setGradientText(GradientModel model)` Sets text GradientModel.
`void` | `setShadowType(int shadowType)` Sets the shadow type of this component.
`void` | `setText(java.lang.String text)` Defines the single line of text this component will display.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHADOW_BOTH

    public static final int SHADOW_BOTH

See Also:
  Constant Field Values

### SHADOW_FIRST

    public static final int SHADOW_FIRST

See Also:
  Constant Field Values

### SHADOW_SECOND

    public static final int SHADOW_SECOND

See Also:
  Constant Field Values

### SHADOW_NONE

    public static final int SHADOW_NONE

See Also:
  Constant Field Values

Constructor Detail

### BevelText

    public BevelText(java.lang.String text)

  Creates a bevel text with the specified text.

  Parameters:
    `text` - the text of bevel text

### BevelText

    public BevelText()

  Creates a bevel text.

Method Detail

### setText

    public void setText(java.lang.String text)

  Defines the single line of text this component will display.

### setFont

    public void setFont(java.awt.Font font)

  Sets the font of this component.

  Overrides:
    `setFont` in class `javax.swing.JComponent`
  Parameters:
    `font` - the font to become this component's font;
  See Also:
    `Component.getFont()`

### getText

    public java.lang.String getText()

  Returns the text string that the component displays.

  Returns:
    a String
  See Also:
    `setText(java.lang.String)`

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Returns the value of the `mininumSize` property

  Overrides:
    `getMinimumSize` in class `javax.swing.JComponent`

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  Returns the value of the `maximumSize` property

  Overrides:
    `getMaximumSize` in class `javax.swing.JComponent`

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns the value of the `preferredSize` property

  Overrides:
    `getPreferredSize` in class `javax.swing.JComponent`

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

### getDepthX

    public int getDepthX()

  Returns the the shadow's depth along the X axes.

### setDepthX

    public void setDepthX(int depthX)

  Sets the shadow's depth along the X axes.

  Parameters:
    `depthX` - Set the deep along the X axes.

### getDepthY

    public int getDepthY()

  Returns the the shadow's depth along the Y axes.

### setDepthY

    public void setDepthY(int depthY)

  Sets the shadow's depth along the Y axes.

  Parameters:
    `depthY` - Set the deep along the Y axes.

### setShadowType

    public void setShadowType(int shadowType)

  Sets the shadow type of this component.

  Parameters:
    `shadowType` - One of the following: SHADOW_BOTH (the default), SHADOW_FIRST, SHADOW_SECOND, SHADOW_NONE

### getShadowType

    public int getShadowType()

  Returns the shadow type of this component.

### getGradientText

    public GradientModel getGradientText()

  Returns the GradientModel of text.

  Returns:
    GradientModel

### getGradientShadow2

    public GradientModel getGradientShadow2()

  Returns the GradientModel of second shadow.

  Returns:
    GradientModel

### getGradientShadow1

    public GradientModel getGradientShadow1()

  Returns the GradientModel of first shadow .

  Returns:
    GradientModel

### setGradientText

    public void setGradientText(GradientModel model)

  Sets text GradientModel.

  Parameters:
    `model` - GradientModel

### setGradientShadow2

    public void setGradientShadow2(GradientModel model)

  Sets second shadow GradientModel.

  Parameters:
    `model` - GradientModel

### setGradientShadow1

    public void setGradientShadow1(GradientModel model)

  Sets first shadow GradientModel.

  Parameters:
    `model` - GradientModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.